#pragma once

#include <QList>
#include <QMap>

#define CHANNELS 16

class HistoData
{
	public:
		HistoData();
		long long histosize;
		int total_events;
		QMap <int, QMap <double, double> > field;
		QList <double> rates;
		void reset();
		bool save(const QString);
};


double bin_to_ns(long long);
long long ns_to_bin(double);
