#pragma once

#include "iDataProcessor.hpp"

class DataProcessor64: public iDataProcessor
{
	public:
		DataProcessor64(HistoData &, const sc_tdc_format &);
		int process(void *, int);
	protected:
		void set_data_len(unsigned char);
		void set_data_offset(unsigned char);
		void set_channel_len(unsigned char);
		void set_channel_offset(unsigned char);
		int extract_channel(unsigned long long data) const;
		int extract_data(unsigned long long data, int binning) const;
		unsigned char data_len_;
		unsigned char data_offset_;
		unsigned char channel_len_;
		unsigned char channel_offset_;
};
